<?php
/* -----------------------------------------------------------------------------
  Plugin     : LMT
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

include_once('lmt_version.inc.php'); // => Don't forget to update this file !!

if(!defined('LMT_DIR')) define('LMT_DIR' , basename(dirname(__FILE__)));
if(!defined('LMT_PATH')) define('LMT_PATH' , PHPWG_PLUGINS_PATH . LMT_DIR . '/');

//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

global $gpcInstalled, $lang; //needed for plugin manager compatibility

/* -----------------------------------------------------------------------------
LMT needs the Grum Plugin Classes
----------------------------------------------------------------------------- */
$gpcInstalled=false;
if(file_exists(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php'))
{
  @include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
  // need GPC release greater or equal than ...
  if(CommonPlugin::checkGPCRelease(LMT_GPC_NEEDED))
  {
    @include_once('lmt_install.class.inc.php');
    $gpcInstalled=true;
  }
}

function gpcMsgError(&$errors)
{
  global $gpcNeeded;
  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), $gpcNeeded);
  if(is_array($errors))
  {
    array_push($errors, $msg);
  }
  else
  {
    $errors=Array($msg);
  }
}
// -----------------------------------------------------------------------------




load_language('plugin.lang', LMT_PATH);


function plugin_install($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;
  if(!$gpcInstalled)
  {
    gpcMsgError($errors, 'gpc');
    return(false);
  }

  $obj = new LMT_Install($prefixeTable, __FILE__);
  $result=$obj->install();
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $obj = new LMT_Install($prefixeTable, __FILE__);
    $result=$obj->activate();
  }
}

function plugin_deactivate($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $obj=new LMT_Install($prefixeTable, __FILE__);
    $obj->deactivate();
  }
}

function plugin_uninstall($plugin_id)
{
  global $prefixeTable, $gpcInstalled;

  if($gpcInstalled)
  {
    $obj = new LMT_Install($prefixeTable, __FILE__);
    $obj->uninstall();
  }
}


?>
